EAPI=4

inherit qt4-r2

MY_P="kcachegrind-${PV}"

DESCRIPTION="Qt4-based GUI frontend for Callgrind"
HOMEPAGE="http://kcachegrind.sourceforge.net/"
SRC_URI="http://kcachegrind.sourceforge.net/${MY_P}.tgz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64"
IUSE=""


DEPEND=">=x11-libs/qt-gui-4.4"
RDEPEND="${DEPEND}
	media-gfx/graphviz"

S="${WORKDIR}/${MY_P}/qcachegrind"

src_install() {
	dobin qcachegrind

	insinto /usr/share/applications
	doins qcachegrind.desktop
}
